Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class BinaryPassiveCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential
              com.ibm.wps.portletservice.credentialvault.credentials.BinaryPassiveCredential

All Implemented Interfaces:
  BinaryPassiveCredential, Credential, PassiveCredential, java.io.Serializable

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class BinaryPassiveCredential

extends PassiveCredential
implements BinaryPassiveCredential

Simple standard implementation of PassiveCredential for binary credential secrets. This credential is only a container of the user's secret. Portlets may call the getSecret() method in order to obtain and work with this secret.

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary
`protected BinaryCredentialSecret` | `secret` Deprecated.

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`BinaryPassiveCredential()` Deprecated.

Method Summary
`byte[]` | `getSecret()` Deprecated. Returns the user's secret as an byte array.
`int` | `getSecretType()` Deprecated. Returns the Secret Type as an integer.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Initializes a new BinaryPassive credential.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential
`isActive`

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.PassiveCredential
`isActive`

Field Detail

### secret

    protected BinaryCredentialSecret secret

  Deprecated.

Constructor Detail

### BinaryPassiveCredential

    public BinaryPassiveCredential()

  Deprecated.

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Initializes a new BinaryPassive credential.

  Specified by:
    `init` in interface `BinaryPassiveCredential`
  Specified by:
    `init` in interface `Credential`
  Overrides:
    `init` in class `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET BinaryCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecret

    public byte[] getSecret()

  Deprecated.
  Returns the user's secret as an byte array.

  Specified by:
    `getSecret` in interface `BinaryPassiveCredential`
  Returns:
    byte[] the user secret

### getSecretType

    public int getSecretType()

  Deprecated.
  Returns the Secret Type as an integer.

  Specified by:
    `getSecretType` in interface `BinaryPassiveCredential`
  Specified by:
    `getSecretType` in interface `Credential`
  Overrides:
    `getSecretType` in class `Credential`
  Returns:
    int The user's secret
  See Also:
    `CredentialVaultService`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD